--- old/usr/src/uts/common/io/pfmod.c	Sat Sep  8 15:26:33 2012
+++ new/usr/src/uts/common/io/pfmod.c	Sat Sep  8 15:26:32 2012
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * STREAMS Packet Filter Module
  *
@@ -55,6 +53,7 @@
 #include <sys/strsun.h>
 #include <sys/pfmod.h>
 #include <sys/modctl.h>
+#include <netinet/in.h>
 
 /*
  * Expanded version of the Packetfilt structure that includes
@@ -309,7 +308,7 @@
 		if (mbp) {
 			pd.pd_body = (ushort_t *)mbp->b_rptr;
 			pd.pd_bodylen = (mbp->b_wptr - mbp->b_rptr) /
-							sizeof (ushort_t);
+			    sizeof (ushort_t);
 		} else {
 			pd.pd_body = NULL;
 			pd.pd_bodylen = 0;
@@ -434,6 +433,8 @@
 			case ENF_PUSHFFFF:
 			case ENF_PUSHFF00:
 			case ENF_PUSH00FF:
+			case ENF_PUSHFF00_N:
+			case ENF_PUSH00FF_N:
 			case ENF_NOPUSH:
 			case ENF_POP:
 				break;
@@ -546,6 +547,12 @@
 	case ENF_PUSH00FF:
 		*--sp = 0x00ff;
 		break;
+	case ENF_PUSHFF00_N:
+		*--sp = htons(0xff00);
+		break;
+	case ENF_PUSH00FF_N:
+		*--sp = htons(0x00ff);
+		break;
 	case ENF_LOAD_OFFSET:
 		offreg = *fp++;
 		break;
--- old/usr/src/uts/common/sys/pfmod.h	Sat Sep  8 15:26:33 2012
+++ new/usr/src/uts/common/sys/pfmod.h	Sat Sep  8 15:26:33 2012
@@ -26,8 +26,6 @@
 #ifndef	_SYS_PFMOD_H
 #define	_SYS_PFMOD_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -115,6 +113,8 @@
 #define	ENF_BRTR	8  /* Branch if the stack's top element is true */
 #define	ENF_BRFL	9  /* Branch if the stack's top element is false */
 #define	ENF_POP		10 /* Pop the top element from the stack */
+#define	ENF_PUSHFF00_N	11 /* Push 0xff00 in network byte order on the stack */
+#define	ENF_PUSH00FF_N	12 /* Push 0x00ff in network byte order on the stack */
 #define	ENF_PUSHWORD	16
 
 #ifdef	__cplusplus
